Bug 1279568 - gi.overrides.BlockDev.LVMError: Process reported exit code 1280: WARNING: Device for PV vnjpMr-OiET-h3Er-YMFl-NsFu-st1g-CeTxiH not found or rejected by a filter.
gi.overrides.BlockDev.LVMError: Process reported exit code 1280: WARNING: D...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:017e7cedebf0f8141fe1e77890a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 13:47 EST by Jiri Konecny
Modified: 2017-08-08 08:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (878.85 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: anaconda.log (40.13 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: dnf.log (1.27 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: environ (459 bytes, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: lsblk_output (2.01 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: lvm.log (245.60 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: nmcli_dev_list (1.52 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: os_info (451 bytes, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: storage.log (141.26 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: syslog (316.58 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: ifcfg.log (1.65 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: packaging.log (5.59 KB, text/plain)
2015-11-09 13:47 EST, Jiri Konecny
no flags Details
File: program.log (46.54 KB, application/octet-stream)
2015-11-09 13:48 EST, Jiri Konecny
no flags Details

  None (edit)
Description Jiri Konecny 2015-11-09 13:47:29 EST
Description of problem:
I did default minimal server netinst installation with on 3 HDDs with some mess on them (1 old Fedora but maybe something more).

My logical volumes:
500 MiB - /boot
300 MiB - /
1 GiB (or similar) - swap

I bypassed the check for size requirements but I think this have nothing to do with it.

1) Start anaconda (from PXE)
2) Change the disk settings like I wrote before
3) Start installation

In setting up the installation environment anaconda will crash.

Additional info:
Doing on 2 of my VMs. I can borrow them for testing.

Version-Release number of selected component:
anaconda-24.5-1

The following was filed automatically by anaconda:
anaconda 24.5-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
  File "/tmp/updates/blivet/devices/lvm.py", line 761, in _setup
    blockdev.lvm.lvactivate(self.vg.name, self._name)
  File "/tmp/updates/blivet/devices/storage.py", line 386, in setup
    self._setup(orig=orig)
  File "/tmp/updates/blivet/deviceaction.py", line 676, in execute
    self.device.setup(orig=True)
  File "/tmp/updates/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/tmp/updates/blivet/devicetree.py", line 381, in processActions
    callbacks=callbacks)
  File "/tmp/updates/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/tmp/updates/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/tmp/updates/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/tmp/updates/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.LVMError: Process reported exit code 1280:   WARNING: Device for PV vnjpMr-OiET-h3Er-YMFl-NsFu-st1g-CeTxiH not found or rejected by a filter.
  WARNING: Device for PV PVqVZW-ffbc-E2cY-RBio-uLAw-COfG-yFW6mR not found or rejected by a filter.
  Refusing activation of partial LV fedora/root.  Use '--activationmode partial' to override.


Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   initrd=/test/rawhide/initrd.img inst.repo=ftp://cobra02/rawhide/x86_64/os nokill resolution=1024x768 updates=http://cobra02/ks/jk/master_updates.img BOOT_IMAGE=/test/rawhide/vmlinuz 
dnf.rpm.log:    Nov 09 18:36:37 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.3.0-0.rc7.git2.1.fc24.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide
Comment 1 Jiri Konecny 2015-11-09 13:47:36 EST
Created attachment 1091895 [details]
File: anaconda-tb
Comment 2 Jiri Konecny 2015-11-09 13:47:39 EST
Created attachment 1091896 [details]
File: anaconda.log
Comment 3 Jiri Konecny 2015-11-09 13:47:40 EST
Created attachment 1091897 [details]
File: dnf.log
Comment 4 Jiri Konecny 2015-11-09 13:47:42 EST
Created attachment 1091898 [details]
File: environ
Comment 5 Jiri Konecny 2015-11-09 13:47:43 EST
Created attachment 1091899 [details]
File: lsblk_output
Comment 6 Jiri Konecny 2015-11-09 13:47:46 EST
Created attachment 1091900 [details]
File: lvm.log
Comment 7 Jiri Konecny 2015-11-09 13:47:48 EST
Created attachment 1091901 [details]
File: nmcli_dev_list
Comment 8 Jiri Konecny 2015-11-09 13:47:50 EST
Created attachment 1091902 [details]
File: os_info
Comment 9 Jiri Konecny 2015-11-09 13:47:52 EST
Created attachment 1091903 [details]
File: storage.log
Comment 10 Jiri Konecny 2015-11-09 13:47:56 EST
Created attachment 1091904 [details]
File: syslog
Comment 11 Jiri Konecny 2015-11-09 13:47:57 EST
Created attachment 1091905 [details]
File: ifcfg.log
Comment 12 Jiri Konecny 2015-11-09 13:47:59 EST
Created attachment 1091906 [details]
File: packaging.log
Comment 13 Jiri Konecny 2015-11-09 13:48:01 EST
Created attachment 1091907 [details]
File: program.log
Comment 14 Jan Kurik 2016-02-24 08:55:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Fedora End Of Life 2017-07-25 15:27:46 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 08:22:46 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.